﻿
@{
    ViewData["Title"] = "Index";
}

@using Microsoft.Extensions.Configuration
@inject IConfiguration Configuration
@model List<DpcManagement.Models.Task>

<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE BAR -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <a href="#">Task</a>
                    <i class="fa fa-circle"></i>
                </li>
                <li>
                    <span>View</span>
                </li>
            </ul>
            <div class="page-toolbar">
                <div id="dashboard-report-range" class="pull-right tooltips btn btn-sm"
                     data-container="body" data-placement="bottom"
                     data-original-title="Change dashboard date range">
                    <i class="icon-calendar"></i>&nbsp;
                    <span class="thin uppercase hidden-xs"></span>&nbsp;
                    <i class="fa fa-angle-down"></i>
                </div>
            </div>
        </div>
        <!-- END PAGE BAR -->
        <!-- END PAGE HEADER-->
        <!-- BEGIN row 1-->
        <div class="row">
            <div class="col-md-12">
                <!-- BEGIN EXAMPLE TABLE PORTLET-->
                <div class="portlet light bordered">
                    <div class="portlet-body">
                        <table class="table table-striped table-bordered table-hover table-checkable order-column"
                               id="sample_1_2">
                            <thead>
                                <tr>
                                    <th>
                                        <label class="mt-checkbox mt-checkbox-single mt-checkbox-outline">
                                            <input type="checkbox" class="group-checkable"
                                                   data-set="#sample_1_2 .checkboxes" />
                                            <span></span>
                                        </label>
                                    </th>
                                    <th hidden="hidden"> Project Id </th>
                                    <th> Name </th>
                                    <th> Status </th>
                                    <th> MDGC </th>
                                    <th> Date Upload </th>
                                    <th> Deadline </th>
                                    <th> Images </th>
                                    <th> Actions </th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th> </th>
                                    <th hidden="hidden"> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                    <th> </th>
                                </tr>
                            </tfoot>
                            <tbody>
                                @if (Model != null)
                                {

                                    @foreach (var task in Model)
                                    {
                                        <tr class="odd gradeX">

                                            <td>
                                                <label class="mt-checkbox mt-checkbox-single mt-checkbox-outline">
                                                    <input type="checkbox" class="checkboxes" value="@task.TaskId" name="TaskId" />
                                                    @Html.HiddenFor(x => task.TaskId)
                                                    <span></span>
                                                </label>
                                            </td>
                                            <td hidden="hidden">@Html.DisplayFor(x => task.PackageId) </td>
                                            <td>@task.TaskName</td>
                                            <td>
                                                <span class="label label-sm label-success"> @Html.DisplayFor(x => task.StatusEntry)</span>
                                            </td>
                                            <td> @task.AccEntry</td>
                                            <td> @task.DateCreate </td>
                                            <td> @task.DateDeadLine </td>
                                            <td>
                                                @foreach (var item in task.ImageTask)
                                                {
                                                    <a href="@Configuration["AppSettings:ServerData"]@item.Image.ImagePath" target="_blank">@item.Image.ImageName</a><br />
                                                }
                                            </td>
                                            <td>
                                                @if (task.StatusEntry == "Done")
                                                {
                                                    <form class="btn btn-xs" method="get" asp-controller="Task" asp-action="ExportPdfNote">
                                                        <button class="btn btn-xs green dropdown-toggle" type="submit"
                                                                aria-expanded="false" name="TaskId" value="@task.TaskId">
                                                            PdfNote
                                                        </button>
                                                    </form>
                                                    <form class="btn btn-xs" method="get" asp-controller="Task" asp-action="ExportPdfTag">
                                                        <button class="btn btn-xs green dropdown-toggle" type="submit"
                                                                aria-expanded="false" name="TaskId" value="@task.TaskId">
                                                            PdfTag
                                                        </button>
                                                    </form>
                                                }
                                            </td>
                                        </tr>
                                    }
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <!-- END EXAMPLE TABLE PORTLET-->
            </div>
        </div>
        <!-- END row 1-->
    </div>
    <!-- END CONTENT BODY -->
</div>

